Bug Hunting Session
Bug 121374 - FILESAVE: DOCX: header/footer gets lost after RT
Summary: FILESAVE: DOCX: header/footer gets lost after RT
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Justin L
URL:
Whiteboard: target:6.3.0 target:6.2.0.1
Keywords: bibisected, bisected, filter:docx, regression
Depends on:
Blocks: DOCX-Header-Footer
  Show dependency treegraph
 
Reported: 2018-11-12 16:29 UTC by Xisco Faulí
Modified: 2019-01-03 18:09 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
sample file (143.00 KB, application/msword)
2018-11-12 16:29 UTC, Xisco Faulí
Details
sample file 2 (227.50 KB, application/msword)
2018-11-12 16:37 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2018-11-12 16:29:01 UTC
Created attachment 146570 [details]
sample file

Steps to reproduce:
1. Open attached document
2. Save it as .DOCX
3. Open the new document

-> The header is gone

Reproduced in

Version: 6.2.0.0.alpha1+
Build ID: 3a99ae072ac170ebed8d1f5bf65913d3412fab67
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

[Bug found by office-interoperability-tools]
Comment 1 Xisco Faulí 2018-11-12 16:30:17 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=cb7500ddb8de6c41fca84a0009ffe22240bb1845

author	Justin Luth <justin_luth@sil.org>	2018-10-27 17:04:02 +0300
committer	Justin Luth <justin_luth@sil.org>	2018-10-29 04:33:13 +0100
commit	cb7500ddb8de6c41fca84a0009ffe22240bb1845 (patch)
tree	9cda81459fe38a4646f4b5eb2017d1a116f00ab0
parent	59d48c531a5cad27f02b91c9b86278d5ede211a1 (diff)
tdf#108954 docxexport: only emit section if diff from current

Bisected with: bibisect-linux64-6.2

Adding Cc: to Justin Luth
Comment 2 Xisco Faulí 2018-11-12 16:33:43 UTC
attachment 105871 [details] from bug 83595 is also affected
Comment 3 Xisco Faulí 2018-11-12 16:35:18 UTC
attachment 64748 [details] from bug 52555 is also affected
Comment 4 Xisco Faulí 2018-11-12 16:37:01 UTC
Created attachment 146571 [details]
sample file 2
Comment 5 Justin L 2018-12-13 06:14:20 UTC
A bit of a hacky fix at https://gerrit.libreoffice.org/#/c/64821/. Still investigating to see if something better is possible.
Comment 6 Commit Notification 2018-12-18 08:14:03 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/8c8c65c84de44f9a9334f72cf05138e5bc9401bd%5E%21

tdf121374 ooxmlexport: export H/F to default section

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2018-12-19 16:09:06 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/e6f5dec3250b4d26bc4bb485fad2100ee29a3528%5E%21

tdf121374 ooxmlexport: export H/F to default section

It will be available in 6.2.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Xisco Faulí 2018-12-20 10:56:39 UTC
Verified in

Version: 6.3.0.0.alpha0+
Build ID: 1b7bcaa714f0af45c6a9660d1f0940cb7931ba0f
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Justin Luth, thanks for fixing this!!